%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:          jboss-jaxb-intros
Version:       1.0.2
Release:       %mkrel 4
Summary:       JBoss JAXB Introductions
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/jbossws/
# svn export http://anonsvn.jboss.org/repos/jbossws/projects/jaxbintros/tags/1.0.2.GA jaxbintros-1.0.2.GA
# tar czf jaxbintros-1.0.2.GA-src-svn.tar.gz jaxbintros-1.0.2.GA
Source0:       jaxbintros-%{namedversion}-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-logging
BuildRequires: glassfish-jaxb
BuildRequires: glassfish-jaxb-api

BuildRequires: junit

BuildRequires: buildnumber-maven-plugin
BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-release-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin

Requires:      apache-commons-beanutils
Requires:      apache-commons-logging
Requires:      glassfish-jaxb
Requires:      glassfish-jaxb-api

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
JBoss Web Service Framework - JAXB intro.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jaxbintros-%{namedversion}

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jbossws
install -m 644 target/%{name}-%{namedversion}.jar \
    %{buildroot}%{_javadir}/jbossws/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jbossws-%{name}.pom
%add_maven_depmap JPP.jbossws-%{name}.pom jbossws/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jbossws/%{name}.jar
%{_mavenpomdir}/JPP.jbossws-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sun Dec 22 2013 dmorgan <dmorgan> 1.0.2-4.mga4
+ Revision: 559767
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 355025
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 17 2012 gil <gil> 1.0.2-1.mga3
+ Revision: 210105
- imported package jboss-jaxb-intros

